
struct symbol {
	struct symbol *next;
	char *name;
	char *help;
	int type;
	int flags;
	struct statement *stmt;
};

#define SYMBOL_UNKNOWN		0
#define SYMBOL_BOOLEAN		1
#define SYMBOL_TRISTATE		2
#define SYMBOL_DATA		3
#define SYMBOL_OTHER		4

#define SYMBOL_CHECK		0x0001

struct symbol *lookup_symbol(char *name, int type);

void new_string(void);
void append_string(const char *str, int size);
extern char *text;

extern int yydebug;
extern int yyparse(void);
extern int helplex(void);

extern void scan_init(char *file);
extern void print_symbols(void);
extern void optimize_config(void);

